;;;
;;;		PowerLisp 2.0
;;;		Copyright  1996 Roger Corman.  All rights reserved.
;;;		PowerPC library compiler script.
;;;
;;
;;	This file compiles all the standard libraries
;;

;; if assembler not loaded, load the correct one
(if (not (member :assembler *modules*))
	(if cl::%powerpc-native
		(load ":library:assembler_ppc.lisp")
		(load ":library:assembler_68k.lisp")))

;; if compiler not loaded, load the correct one
(if (not (member :compiler *modules*))
	(if cl::%powerpc-native
		(load ":library:compiler_ppc.lisp")
		(load ":library:compiler_68k.lisp")))

(compile-file 
	":library:assembler_ppc.lisp" 
	:output-file ":library:assembler.ppcl"
	:print t)

(load ":library:assembler.ppcl")

(compile-file 
	":library:compiler_ppc.lisp" 
	:output-file ":library:compiler.ppcl"
	:print t)

(load ":library:compiler.ppcl")

(compile-file 
	":library:cl.lisp" 
	:output-file ":library:cl.ppcl"
	:print t)

(load ":library:cl.ppcl")

(compile-file 
	":library:backquote.lisp" 
	:output-file ":library:backquote.ppcl"
	:print t)

(load ":library:backquote.ppcl")

(compile-file 
	":library:setf.lisp" 
	:output-file ":library:setf.ppcl"
	:print t)

(load ":library:setf.ppcl")

(compile-file 
	":library:defpackage.lisp" 
	:output-file ":library:defpackage.ppcl"
	:print t)

(compile-file 
	":library:structures.lisp" 
	:output-file ":library:structures.ppcl"
	:print t)

(compile-file 
	":library:format.lisp" 
	:output-file ":library:format.ppcl"
	:print t)

(load ":library:random.lisp")
(compile-file 
	":library:random.lisp" 
	:output-file ":library:random.ppcl"
	:print t)

(compile-file 
	":library:describe.lisp" 
	:output-file ":library:describe.ppcl"
	:print t)

(compile-file 
	":library:documentation.lisp" 
	:output-file ":library:documentation.ppcl"
	:print t)

(load ":library:clos.lisp")

(compile-file 
	":library:clos.lisp" 
	:output-file ":library:clos.ppcl"
	:print t)

(load ":library:loop.lisp")

(compile-file 
	":library:loop.lisp" 
	:output-file ":library:loop.ppcl"
	:print t)

(compile-file 
	":library:graphics.lisp" 
	:output-file ":library:graphics.ppcl"
	:print t)
























